Why my Galaxy S4 (GT-I9500) won't update?

Amane Gin

New member
Nov 23, 2014
4
0
0
Visit site
Hey, I got my GS4 and it came with 4.2.2. Today, trying to update to the next version it says "the latest updates have already been installed" my GSIII has the 4.3 version so I guess the GS4 has to have, at least, the 4.3 version. I don't know, please help me with that.
 

B. Diddy

Senior Ambassador
Moderator
Mar 9, 2012
165,996
5,313
113
Visit site
Welcome to Android Central! Which carrier do you have? Updates over the air often depend on both the manufacturer and the carrier.
 

Forum statistics

Threads
945,128
Messages
6,924,307
Members
3,159,675
Latest member
jfrostpierce